#include <SoftwareSerial.h>

#define Trig 1 //Ultarsonic Trig Pin Connected to pin 13 of ATtiny44
#define Echo  0 //Ultarsonic Echo Pin Connected to pin 12 of ATtiny44

#define RX    2   //TX pin of ATtiny44
#define TX    3  //RX pin of ATtiny44

SoftwareSerial window(RX, TX); //initialize 'window' as Software Serial
 
void setup()
{
  pinMode(Trig, OUTPUT); //set trig pin as OUTPUT
  pinMode(Echo, INPUT); //set echo pin as INPUT
  
  window.begin(9600);   //initialize software Serial in 9600 bit's per second
  
}

void loop()
{

long duration, distance;
 
digitalWrite(Trig, LOW);  
delayMicroseconds(2);  
digitalWrite(Trig, HIGH); 
delayMicroseconds(10);  
digitalWrite(Trig, LOW); 
duration = pulseIn(Echo, HIGH); 
distance = (duration/2) / 29.1; 

window.print("Distance :");
window.print(distance); 
window.println(" CM");


delay(100);
}
